/** Rill v0.0.659 https://www.npmjs.com/package/rill License: MIT*/
"use strict";
var Context, HttpError;

HttpError = require("./util/http-error");


/*
 * Constructor that will create a context for a request.
 *
 * @param {Object} res
 * @constructor
 */

Context = (function() {
  function Context() {
    if (!(this instanceof Context)) {
      return new Context(res);
    }
  }


  /*
  	 * Utility to throw an http error during a request.
   */

  Context.prototype["throw"] = function(code, message, meta) {
    throw new HttpError(code, message, meta);
  };


  /*
  	 * Throws if a condition failts.
   */

  Context.prototype.assert = function(val, code, message, meta) {
    if (val) {
      return;
    }
    return this["throw"](code, message, meta);
  };

  return Context;

})();

module.exports = Context;
